openturns (1.24-4build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:19:36 +0200

openturns (1.24-4build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 11:04:16 +0000

openturns (1.24-4) unstable; urgency=medium

  * Deactivating the tests that randomly hang on amd64 on buildds
    (Closes: #1093144)

 -- Pierre Gruet <pgt@debian.org>  Wed, 15 Jan 2025 17:37:26 +0100

openturns (1.24-3) unstable; urgency=medium

  * Upload to unstable to start the library transition
  * Checking the package builds against swig 4.3.0 (Closes: #1091444)

 -- Pierre Gruet <pgt@debian.org>  Tue, 14 Jan 2025 21:35:52 +0100

openturns (1.24-2) experimental; urgency=medium

  * Adding a small tolerance to Pagmo Python test

 -- Pierre Gruet <pgt@debian.org>  Wed, 18 Dec 2024 10:08:51 +0100

openturns (1.24-1) experimental; urgency=medium

  * New upstream version 1.24
  * Removing all patches, which have been upstreamed
  * Bumping SOVERSION to 0.25, new binary package
  * Updating copyright date and information in d/copyright
  * Updating install paths of Python files
  * Updating the Ishigami Chaos autopkgtest to comply with latest upstream
    version

 -- Pierre Gruet <pgt@debian.org>  Sat, 14 Dec 2024 23:30:30 +0100

openturns (1.23-5) unstable; urgency=medium

  * Deactivating again Dlib-related tests:
    - on riscv64
    - on loong64, thanks to wuruilong! (Closes: #1071019)

 -- Pierre Gruet <pgt@debian.org>  Tue, 27 Aug 2024 22:13:35 +0200

openturns (1.23-5~exp0) experimental; urgency=medium

  * Enabling again Dlib-related tests, which should pass against dlib/19.24.4

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jun 2024 07:45:25 +0200

openturns (1.23-4) unstable; urgency=medium

  * Deactivating EfficientGlobalOptimization_std test on armel

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Jun 2024 13:58:00 +0200

openturns (1.23-3) unstable; urgency=medium

  * Upload to unstable of new upstream version, building against Python 3.12 is
    now possible (Closes: #1061603)
  * Allowing the package to build on loong64, thanks to wuruilong for the patch

 -- Pierre Gruet <pgt@debian.org>  Sat, 15 Jun 2024 15:29:01 +0200

openturns (1.23-2) experimental; urgency=medium

  * Fixing t_Bonmin_std Python test with a limit for a number of iterations

 -- Pierre Gruet <pgt@debian.org>  Thu, 13 Jun 2024 11:33:42 +0200

openturns (1.23-1) experimental; urgency=medium

  * New upstream version 1.23
  * Updating (build-)dependencies
  * Bumping SONAME to libopenturns0.24
  * Updating d/copyright
  * Raising Standards version to 4.7.0 (no change)
  * Fixing minor spelling mistakes

 -- Pierre Gruet <pgt@debian.org>  Mon, 10 Jun 2024 21:37:42 +0200

openturns (1.22-2) experimental; urgency=medium

  * Skipping more tests failing due to Dlib bugs on some arches

 -- Pierre Gruet <pgt@debian.org>  Wed, 06 Mar 2024 07:56:29 +0100

openturns (1.22-1) experimental; urgency=medium

  * New upstream version 1.22
  * Raising SONAME to libOT0.23, new binary package
  * Removing patch, which has been upstreamed
  * Updating d/not-installed

 -- Pierre Gruet <pgt@debian.org>  Tue, 30 Jan 2024 12:56:54 +0100

openturns (1.21.1-5) unstable; urgency=medium

  * Fixing FTBFS linked to new version of swig (Closes: #1064928)

 -- Pierre Gruet <pgt@debian.org>  Thu, 18 Apr 2024 23:14:42 +0200

openturns (1.21.1-4) unstable; urgency=medium

  * Clearing old patches and architecture-dependent test evictions
  * Rely on pre-initialized dpkg-architecture variables.
  * Excluding Dlib tests on riscv64

 -- Pierre Gruet <pgt@debian.org>  Sat, 04 Nov 2023 07:44:28 +0100

openturns (1.21.1-3) experimental; urgency=medium

  * Adding a versioned Depends on the -common package for the shared lib one
  * Comparing distributions by checking if their double parameters are close
    enough, not relying on the == operator

 -- Pierre Gruet <pgt@debian.org>  Wed, 01 Nov 2023 15:44:39 +0100

openturns (1.21.1-2) experimental; urgency=medium

  * Adopting a patch by upstream for failing Smolyak tests
  * Deactivating sensitive Kriging test on ppc64el

 -- Pierre Gruet <pgt@debian.org>  Sun, 29 Oct 2023 21:33:19 +0100

openturns (1.21.1-1) experimental; urgency=medium

  * New upstream version 1.21.1
  * Refreshing patches
  * Bumping SONAME to libOT0.22, new binary package
  * Refreshing d/copyright
  * Fixing the clean target (Closes: #1048673)
  * Updating install locations for the binary packages
  * Revising d/control: no shlibs:Depends for openturns-common
  * Attempting to get rid of probably upstreamed patches, only disabling tests
    in an arch-specific way

 -- Pierre Gruet <pgt@debian.org>  Thu, 26 Oct 2023 18:06:39 +0200

openturns (1.20-9) unstable; urgency=medium

  * Removing an obsolete Lintian override

 -- Pierre Gruet <pgt@debian.org>  Mon, 30 Jan 2023 13:15:01 +0100

openturns (1.20-9~exp0) experimental; urgency=medium

  * Build-depending on coinor-libbonmin-dev

 -- Pierre Gruet <pgt@debian.org>  Sat, 14 Jan 2023 07:24:03 +0100

openturns (1.20-8) unstable; urgency=medium

  * Ignoring the comparison of the output of
    pyinstallcheck_StandardDistributionPolynomialFactory_std due to
    rounding errors

 -- Pierre Gruet <pgt@debian.org>  Sat, 17 Dec 2022 15:17:52 +0100

openturns (1.20-7) unstable; urgency=medium

  * Ignoring the comparison of the output of
    cppcheck_StandardDistributionPolynomialFactory_std due to rounding errors

 -- Pierre Gruet <pgt@debian.org>  Sat, 17 Dec 2022 11:58:47 +0100

openturns (1.20-6) unstable; urgency=medium

  * Patching code to comply with primesieve 11 interface
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sat, 17 Dec 2022 06:54:00 +0100

openturns (1.20-5) unstable; urgency=medium

  * Skipping autopkgtest on i386

 -- Pierre Gruet <pgt@debian.org>  Fri, 25 Nov 2022 12:48:08 +0100

openturns (1.20-4) unstable; urgency=medium

  * Adding autopkgtests
  * Marking the scalar_comparison_in_Gamma_distribution patch as Forwarded
  * Fixing spelling issues

 -- Pierre Gruet <pgt@debian.org>  Thu, 24 Nov 2022 06:14:17 +0100

openturns (1.20-3) experimental; urgency=medium

  * Ignoring the comparisons to reference outputs for:
    - the Python counterpart of TruncatedNormal_std
    - the Python MetaModelAlgorithm_std test

 -- Pierre Gruet <pgt@debian.org>  Tue, 22 Nov 2022 22:17:38 +0100

openturns (1.20-2) experimental; urgency=medium

  * Converting sample in t_DistributionFactory_std.py from integer to float
    when passing it to the factory
  * Skipping the comparison of the outputs of the cpp_TruncatedNormal_std.cxx
    test to a reference because of rounding issues

 -- Pierre Gruet <pgt@debian.org>  Tue, 22 Nov 2022 14:38:59 +0100

openturns (1.20-1) experimental; urgency=medium

  * New upstream version 1.20
  * Refreshing patches
  * Bumping SONAME to libOT0.21, new binary package
  * Refreshing d/copyright
  * Updating the dependencies of the -dev package

 -- Pierre Gruet <pgt@debian.org>  Sat, 19 Nov 2022 21:09:14 +0100

openturns (1.19-4~exp0) experimental; urgency=medium

  * Removing the -examples package as sphinx documentation on the website is
    much nicer and more helpful
  * Stopping shipping the static library
  * Adding a Lintian override for a false positive about a spelling mistake
  * Simplifying d/rules
  * Removing python3-dev from the dependencies of the -dev package
  * Comparing the (double) parameters of the Gamma distribution by testing the
    difference is small instead of using the == operator

 -- Pierre Gruet <pgt@debian.org>  Fri, 14 Oct 2022 14:29:57 +0200

openturns (1.19-3) unstable; urgency=medium

  * Adding the -latomic flag to prevent FTBFS on armel

 -- Pierre Gruet <pgt@debian.org>  Wed, 20 Jul 2022 22:13:58 +0200

openturns (1.19-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Wed, 20 Jul 2022 11:26:18 +0200

openturns (1.19-1) experimental; urgency=medium

  * New upstream version 1.19
  * Refreshing patches
  * Adding B-D on libpagmo-dev
  * Bumping SONAME to libOT0.20, new binary package
  * Reworking Lintian overrides

 -- Pierre Gruet <pgt@debian.org>  Sat, 16 Jul 2022 20:52:18 +0200

openturns (1.18-5) unstable; urgency=medium

  * Increasing again the tolerance for the sensitive kriging algorithm test

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Jul 2022 21:43:26 +0200

openturns (1.18-4) unstable; urgency=medium

  * Raising the tolerance of Python KrigingAlgorithm test to avoid failures on
    buildds
  * Avoid looking at the output of Python ANCOVA_std test due to tiny numerical
    differences on some architectures

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Jul 2022 09:34:36 +0200

openturns (1.18-3) unstable; urgency=medium

  * Passing PYTHON_SITE_PACKAGES to CMake instead of patching

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 17:03:13 +0200

openturns (1.18-3~exp3) experimental; urgency=medium

  * Discarding SimulatedAnnealing_LHS test due to small numerical differences
    on some architectures
  * Discarding flaky tests on armel

 -- Pierre Gruet <pgt@debian.org>  Tue, 14 Jun 2022 21:21:31 +0200

openturns (1.18-3~exp2) experimental; urgency=medium

  * Build-depending on now available libspectra-dev
  * Ignoring the output of Python test SimulatedAnnealing_LHS, subject to small
    rounding issues
  * Dropping unused patch

 -- Pierre Gruet <pgt@debian.org>  Mon, 13 Jun 2022 20:32:52 +0200

openturns (1.18-3~exp1) experimental; urgency=medium

  * Removing build-dependencies on libsqlite3-dev and libpng-dev, as they are
    now correctly provided by dlib
  * Raising Standards version to 4.6.1 (no change)
  * Marking the -common package as Multi-Arch: foreign
  * Passing again the number of jobs to run in parallel to CMake
  * Fixing the issue in the Python test t_DistributionFactory_std
  * Allowing less accuracy in the Python SimulatedAnnealingLHS test, previously
    failing by some short margin on some arches
  * Omitting the TensorApproximationAlgorithm_std test
  * Ignore rounding issues linked to NLopt, just checking the tests can be run.
  * Stopping discarding tests based on the architecture
  * Building and installing a static library

 -- Pierre Gruet <pgt@debian.org>  Mon, 13 Jun 2022 11:33:01 +0200

openturns (1.18-2) unstable; urgency=medium

  * Upload to unstable to follow the auto-hmat-oss transition (Closes:#1009003)
  * Skipping Python tests on armel for the moment, they are redundant with
    the C++ ones.
  * Adding missing dependencies of the -dev package on libtbb-dev and
    python3-dev

 -- Pierre Gruet <pgt@debian.org>  Tue, 19 Apr 2022 22:07:10 +0200

openturns (1.18-2~exp5) experimental; urgency=medium

  * Skipping MetaModelValidation_std test on armel

 -- Pierre Gruet <pgt@debian.org>  Sun, 17 Apr 2022 23:31:49 +0200

openturns (1.18-2~exp4) experimental; urgency=medium

  * Skipping additional tests on i386 and armel

 -- Pierre Gruet <pgt@debian.org>  Sat, 16 Apr 2022 22:57:14 +0200

openturns (1.18-2~exp3) experimental; urgency=medium

  * Escaping correctly the test-excluding regex in d/rules, using eval
  * Excluding one more test on powerpc and ppc64

 -- Pierre Gruet <pgt@debian.org>  Fri, 15 Apr 2022 12:21:29 +0200

openturns (1.18-2~exp2) experimental; urgency=medium

  * Omitting some more tests until we find a fix:
    - Python tests for Dlib and NLopt
    - Architecture-specific failing tests

 -- Pierre Gruet <pgt@debian.org>  Wed, 13 Apr 2022 21:52:00 +0200

openturns (1.18-2~exp1) experimental; urgency=medium

  * Removing old patches for tests that do not seem problematic anymore
  * Removing Denis Barbier from Uploaders, thanks Denis!
  * Omitting some tests to manage the library transition of hmat-oss, until we
    find a fix for them

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Apr 2022 21:27:03 +0200

openturns (1.18-1) experimental; urgency=medium

  * New upstream version 1.18
  * Providing a gbp.conf file to ease the use of git-buildpackage with 'debian'
    as master branch
  * Refreshing patches
  * Raising Standards version to 4.6.0:
    - Removing obsolete get-orig-source target
    - Using https version of copyright format URL in d/copyright
    - Rules-Requires-Root: no
  * Providing debian/upstream/metadata with Repository information
  * Bumping SONAME to libot0.19, new binary package
  * Removing X-Python*-Version fields from d/control (Closes: #1003818)
  * Reworking (build-)dependencies in debian/control:
    - Depending on debhelper-compat 13, dropping debian/compat
    - Reordering dependencies in d/control for readability concerns
    - Adding (optional) build-dependencies
    - Removing dependency on python for openturns-examples (gets python3
      through python3-openturns) (Closes: #948602)
    - Removing build-dependencies on g++ and quilt
    - Making the openturns-examples package, now Architecture: all, easily
      binNMUable with appropriate dependency versions
    - Revising the list of dependencies of the -dev package
    - Removing unnecessary versioned dependencies and information related on
      too old packages in d/control
  * Removing files related to former binary packages in debian/
  * Installing the (now unversioned) configuration file in its own package
    openturns-common, as it should accompany the versioned library package
  * Adding myself as uploader
  * Removing README.Debian with 12-year-old, now useless information
  * Refreshing d/copyright
  * Installing the C++ libraries in /usr/lib/triplet and the Python files in
    /usr/lib/python3*
  * Reworking debian/rules:
    - Not fiddling with DEB_BUILD_OPTIONS in d/rules
    - Adopting the same compiler flags on all architectures
    - Always using tbb
    - Hardening using /usr/share/dpkg/buildflags.mk
    - Attempting to build on mips and mipsel
    - Removing --parallel option
    - Skipping useless variables passed to CMake
    - Passing previously deactivated tests again
    - Adding the lib now installed in usr/lib/triplet for the Python tests,
      and removing this add for the C++ ones
    - Removing CMake variables and rules overrides that we don't need in d/rules
    - Letting the environment define the parallelism setting for the tests
  * Refreshing the lists of files to install (or to omit, in
    debian/not-installed)
  * Adding a comment to explain the current Lintian override concerning the
    name of the shared lib package
  * Adding a Lintian override for not providing symbols
  * Correcting spelling errors raised by Lintian in the source
  * Positioning Debian Python policy-compliant shebangs in installed examples
  * Raising tolerance in a test failing by a short margin on some computers
  * Skipping the install of *.pyc files
  * Updating homepage address and upstream-contact field
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 1.10~rc1-1, 1.8-1, 1.6~rc1-1.

 -- Pierre Gruet <pgt@debian.org>  Fri, 08 Apr 2022 10:32:40 +0200

openturns (1.14-1) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937214
  * New upstream release; Closes: #902513
  * Import packaging from upstream, inclusing rename to libopenturns0.15 and
    drop of R bindings
  * debian/watch
    - point to github

 -- Sandro Tosi <morph@debian.org>  Thu, 26 Dec 2019 01:40:15 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-openturns`.
